class KIPC

# class KIPC | This class implements a very simple IPC mechanism for KDE. More...
Definition | `#include <kipc.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Message { PaletteChanged=0, FontChanged, StyleChanged, BackgroundChanged, SettingsChanged, IconChanged, ToolbarStyleChanged, ClipboardConfigChanged, UserMessage=32 }

#### Public Static Methods

- static void sendMessage (Message msg, WId w, int data=0)
- static void sendMessageAll (Message msg, int data=0)

## Detailed Description

This class implements a very simple IPC mechanism for KDE. You can send a message of a predefined type to either a specific application, or to all KDE application on the current display. The message can carry one integer of data.

KIPC is mainly used in KDE for sending "Change Messages", i.e. a message to all KDE apps that a certain setting (the font, for example) has changed. For anything more complex it is recommended to use DCOP -- the Desktop Communications Protocol.

Messages with id code < 32 are called "System Messages". These are directly handled by KApplication. Examples are: PaletteChanged and StyleChanged. Messages with id code >= 32 are user messages. KApplication emits the signal kipcMessage(id,arg) for each user message it receives.

KIPC is implemented using X11 ClientMessage events.

See also: KApplication::kipcMessage()

enum Message { PaletteChanged=0, FontChanged, StyleChanged, BackgroundChanged, SettingsChanged, IconChanged, ToolbarStyleChanged, ClipboardConfigChanged, UserMessage=32 } | ### Message

A identifier for messages. Messages below UserMessage are system messages, messages above can be defined by the user.

void sendMessage (Message msg, WId w, int data=0) | ### sendMessage

[static]

Send a message to a specific application.

Parameters:

msg | The message to send.
w | The window id of a toplevel window of the target application.
data | An optional integer of data.

void sendMessageAll (Message msg, int data=0) | ### sendMessageAll

[static]

Send a message to all KDE application on the current display.

Parameters:

msg | The message to send.
data | An optional integer of data.

- Version: $Id: kipc.h,v 1.15.2.1 2003/06/06 09:12:16 mueller Exp $
- Author: Geert Jansen
- Generated: root on macppc.ports.openbsd.org on Sat Sep 6 10:36:15 2003, using kdoc 2.0a54.